#ifndef SPOOL_H_INCLUDED
#define SPOOL_H_INCLUDED

/* $Id: spool.h,v 1.2 1997/04/28 02:00:03 mb Exp mb $
 * 
 * Copyright (c) 1994-96 Martin Buck  <martin-2.buck@student.uni-ulm.de>
 * Read COPYING for more information
 */


typedef struct spool_dirent_s {
  int page, subpage, dirnum;
} spool_dirent_t;


void write_cache(void);
int query_spool(int page, int subpage, byte_t *buffer, vtx_pageinfo_t *info);
spool_dirent_t * spool_getlist(int use_pub, int use_priv);

#endif /* SPOOL_H_INCLUDED */
