#ifndef TUNER_H_INCLUDED
#define TUNER_H_INCLUDED

/* $Id: tuner.h,v 1.3 1999/10/04 22:56:44 mb Exp mb $
 * 
 * Copyright (c) 1994-96 Martin Buck  <martin-2.buck@student.uni-ulm.de>
 * Read COPYING for more information
 */


#include <sys/vtx.h>


#define TUNOK 0
#define TUNERR -1
#define TUNEINVAL -2
#define TUNEOPEN -3
#define TUNEVERSION -4
#define TUNENOTOPEN -5


extern char *tuner_device;

int tuner_open(int major, int minor, tuner_info_t *prg_info);
void tuner_close(void);
int tuner_reset(void);
int tuner_setfreq(int freq);
int tuner_getfreq(void);
int tuner_setprog(int prog);
int tuner_getprog(void);
int tuner_setsrc(int src);
int tuner_getsrc(void);

#endif /* TUNER_H_INCLUDED */
