#ifndef BT848_I2C_H_INCLUDED
#define BT848_I2C_H_INCLUDED

/* $Id: bt848_i2c.h,v 1.3 1999/06/15 22:34:55 mb Exp mb $
 *
 * Copyright (c) 1997-99 Martin Buck  <martin.buck@bigfoot.com>
 * Read COPYING for more information
 *
 */
     

int bt848_slow_if(int val);
void bt848_devinfo(unsigned char **devinfo_memio_base, unsigned int *devinfo_io_base,
    unsigned char *devinfo_pci_bus, unsigned char *devinfo_pci_dev_fn);
int bt848_i2c_senddata(int adr, ...);
int bt848_i2c_sendbuf(int adr, int reg, int count, unsigned char *buf, int uaccess);
int bt848_i2c_readbuf(int adr, int count, unsigned char *buf, int uaccess);

#endif /* BT848_I2C_H_INCLUDED */
