#ifndef FILEIO_H_INCLUDED
#define FILEIO_H_INCLUDED

/* $Id: gifwrite.h,v 1.1 1996/09/26 20:23:34 mb Exp mb $
 * 
 * Copyright (c) 1994-96 Martin Buck  <martin-2.buck@student.uni-ulm.de>
 * Read COPYING for more information
 */


#include <stdio.h>


typedef unsigned int (*ifunptr) (unsigned int, unsigned int);
					/* Pointer to function returning an unsigned int */


int
GIFEncode(FILE *fp, int GWidth, int GHeight, int GInterlace, int Background, int Transparent,
    int BitsPerPixel, const int Red[], const int Green[], const int Blue[], ifunptr GetPixel);

#endif /* FILEIO_H_INCLUDED */
