#ifndef VTXGET_H_INCLUDED
#define VTXGET_H_INCLUDED

/* $Id: vtxget.h,v 1.2 1997/03/26 00:16:15 mb Exp mb $
 * 
 * Copyright (c) 1994-96 Martin Buck  <martin-2.buck@student.uni-ulm.de>
 * Read COPYING for more information
 */


#include "fileio.h"
#include "vtxdecode.h"
#include "postscript.h"


typedef enum { FMT_ISO, FMT_ANSI, FMT_TEXT, FMT_VTX,
#ifdef GIF_SUPPORT
    FMT_GIF, FMT_GIFINT,
#endif
    FMT_PPM,
#ifdef PNG_SUPPORT
    FMT_PNG, FMT_PNGINT,
#endif
    FMT_PS, FMT_IPS, FMT_CPS } ofmt_t;

extern int page_timeout, show_hidden, show_header, loop_forever, output_virtual, stdout_sep;
extern int ps_xpages, ps_ypages, ps_landscape;
extern ps_papertype_t ps_papertype;
extern ofmt_t ofmt;
extern vtx_info_t vtx_info;
extern vtxpage_t page;
extern vtxbmfont_t *vtxbmfont;
extern char *outdir, *progname, *fname_prefix;

#endif /* VTXGET_H_INCLUDED */
